Subject: RE: [Seamoby] CARD between Routers - will CT do?

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Tue, 14 Jan 2003 17:00:48 -0600

Jim,

I agree with you. It is not boiling the ocean. I don't intend to run
250 different protocols right before a handover. If I can get two birds
with one stone, I will.

CT can be extended to carry capability info and designing a mobility
framework, I may just use that, if I have other selection procedures.

I can understand CARD people's concern about relying on CT, but
I also never understood, why TAR selection and address translation
should be done by one and same protocol. I thought in Atlanta we were
talking about separating the two?

Madjid

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Tuesday, January 14, 2003 10:39 AM
To: Eunsoo Shim; [email-masked]
Subject: Re: [Seamoby] CARD between Routers - will CT do?

Eunsoo,

There is no need for discovery related messages between ARs. Routers know where
they are, the routing protocol tells them. There is, of course, an issue of the
AR finding APs attached to it, but that is a different question. That would
probably benefit by some protocol, but, of course, we have this problem about
APs being invisible as far as IP is concerned.

The idea of using CT for CARD between routers came out of some discussions we've
been having here about how best to implement these protocols. Having a generic
framework within which all the inter-AR signaling can fit could make the
implementation cleaner. For example, one could view the HI/HAck signaling of
FMIP as another instance of CT.  One could imagine extending the routing
protocol to do implement the framework, but having a separate protocol might be
better.

Anyway, maybe this is boiling the ocean. We are already having enough trouble
getting the specs done on CT and CARD for MNs. Maybe we ought to finish that
first, then revisit the issue when we have more experience with implementing
these protocols.

            jak

----- Original Message -----
From: "Eunsoo Shim" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, January 14, 2003 6:00 AM
Subject: Re: [Seamoby] CARD between Routers - will CT do?

> Hi, James,
>
> There should be two types of messages between ARs for CARD.
> - Discovery process related
> - Attributes (including information about access points) related
>
> And there can be two modes of attribute information exchange.
> - One time request-response
> - Periodic updates (one time request and follow-up periodic responses)
>
> I have two questions about your suggestion.
> 1) You are suggesting using CT for attribute information exchanges but not
> the discovery related signaling, aren't you?
> 2) Will CT support the above modes of attribute information exchange?
>
> My feeling is that we'd better identify the type of messages for CARD first
> and then can think about reusing any other protocol for the messages. And I
> think we need more discussion or output from the design team regarding the
> message types.
> Thanks.
>
> Eunsoo
>
> ----- Original Message -----
> From: "James Kempf" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, January 13, 2003 1:58 PM
> Subject: [Seamoby] CARD between Routers - will CT do?
>
>
> > So most of the discussion here has been about CARD between the Mobile Node
> and
> > Access Router, and that's OK since it certainly is an important topic.
> >
> > However, equally important is how two Access Routers exchange information
> about
> > the access points connected to them. This could be statically configured,
> but
> > that would be very inconvenient.
> >
> > I'm wondering if this might be a good application of CT? The "context"
> here
> > would be an authenticatable list of access points connected up to a
> particular
> > router.
> >
> > Comments?
> >
> >             jak
> >
> >
> > _______________________________________________
> > Seamoby mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/seamoby
> >
>
>

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby
_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: "James Kempf" <[email-masked]>
Date: Tue, 14 Jan 2003 16:06:01 -0800

> talking about separating the two?

I don't recall that the conclusion of the discussion was to separate.

The concern I expressed there was involving more about the mobile node's
preferences in the TAR decision. Specifically, that it could be inferred from
the information provided by the CAR protocol, and that such information be
extremely simple. For example, I don't think there is any need for a Turing
complete language to describe preferences, nor should there be a complicated AAA
interface to get the preferences there. Simple AVPs should be enough.

            jak

---

From: "James Kempf" <[email-masked]>
Date: Tue, 14 Jan 2003 16:06:01 -0800

jak